Subject: Re: [PATCH 1/1]: thermal driver therm_adt746.c

From: Cedric Le Goater <[email-masked]>
Date: Mon, 23 Feb 2015 16:23:13 +0100

On 02/23/2015 12:58 PM, Thomas Haschka wrote:
> Hi everyone,
> 
> The current driver linux/drivers/macintosh/therm_adt746x.c does not take the HDD BUTTOMSIDE sensor into account. It actually should as the 12" Powerbooks and IBooks are build in a way that the airflow cools the harddrive and components around it. Actually there are air intake openings just beneath the Harddrive. If you experiance hot enviromental temperatures as I did in summer on certain occations, you will find out that in MacOSX the fan spins up while it doesn't in linux. As this probably causes harddrives, and maybe other components to fail early I think this should be regarded as a fix to a severe bug.
> 
> Hence, I created this patch for single fan 12" Albooks, Ibooks etc.

I would happy to give it a try on the "brand new" iBook G4 I just 
got this week-end but I would need you to reformat your patch. 

Could you please send it again to the mailing using : 

	git send-email --to [email-masked] my.patch
 
You might want to run the script ./scripts/checkpatch.pl on the
patch file before sending.

Cheers,

C.